#portal effects
execute positioned ~ ~ ~ as @e[type=minecraft:marker,tag=stronghold_hallway_marker,distance=..50] at @s facing entity @e[type=minecraft:marker,tag=end_portal,distance=..50] feet run function roguecraft:stronghold/slow_tick_hallway_marker
execute if entity @s[tag=!unsealed] run particle minecraft:dust{color:[1.0,0.0,0.0],scale:4.0f} ~ ~ ~ 1 0.2 1 0.1 100 force
execute if entity @s[tag=!unsealed] run playsound minecraft:block.conduit.attack.target master @a ~ ~ ~ 0.125 0.6

#start room
execute at @a[gamemode=!spectator] as @e[type=minecraft:marker,tag=stronghold_room_marker,tag=!active,distance=..14] at @s run function roguecraft:stronghold/activate_room
execute positioned ~ ~ ~ as @e[type=minecraft:marker,tag=stronghold_mob_marker,tag=active,distance=..256,sort=random,limit=1] at @s run function roguecraft:stronghold/mob_spawner/main
execute positioned ~ ~ ~ as @e[type=minecraft:marker,tag=stronghold_spawner_marker,tag=active,distance=..256,sort=random,limit=1] at @s run function roguecraft:stronghold/mob_spawner/spawner_block/main

#mob spawner check
execute positioned ~ ~ ~ as @e[type=minecraft:marker,tag=stronghold_mob,tag=stronghold_spawner_block_marker,distance=..256] at @s unless block ~ ~1 ~ minecraft:spawner run function roguecraft:stronghold/mob_spawner/spawner_block/kill

#reposition to item
execute at @a as @e[type=minecraft:item,tag=!tagged,nbt={Item:{id:"minecraft:light",components:{"minecraft:custom_data":{stronghold_mob_drop:1b}}}},distance=..128] at @s run function roguecraft:stronghold/mob_death

#soul markers
execute at @a as @e[type=minecraft:area_effect_cloud,distance=..48,tag=stronghold_soul_marker_delay] at @s run function roguecraft:stronghold/tick_soul_marker_delay
execute as @e[type=minecraft:marker,tag=stronghold_soul_marker,distance=..128] if data entity @s data.room at @s run function roguecraft:stronghold/slow_tick_soul_marker with entity @s data

#break portal
execute if entity @s[tag=!unsealed] if entity @a[distance=..16] unless entity @e[type=minecraft:marker,tag=stronghold_hallway_marker,distance=..50] run function roguecraft:stronghold/spawn_portal