execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run particle minecraft:explosion_emitter ~ ~2.5 ~ 0 0 0 0 1
execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run playsound entity.generic.explode master @a ~ ~ ~
execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run particle flame ~ ~2.5 ~ 0.25 0.5 0.25 2 800

execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run loot spawn ~ ~ ~ loot roguecraft:mob_essence/wildfire_loot

execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run playsound roguecraft:entity.wildfire.death hostile @a ~ ~ ~ 2

execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run summon minecraft:item ~ ~2 ~ {Item:{count:16b,id:"minecraft:blaze_powder",components:{"minecraft:damage_resistant":{"types":"#roguecraft:all"}}},Glowing:true,NoGravity:true,Age:-32768,Health:10000s}
execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run advancement grant @a[distance=..64,gamemode=!spectator] only roguecraft:progression/wildfire
execute at @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] as @a[distance=..64,scores={wildfire_defeated=0},gamemode=!spectator] run function roguecraft:skillpoints/wildfire

execute unless data storage roguecraft:master {bosses_defeated:{custos:1b}} if data storage roguecraft:master {speedrun:{new_world_display:1b}} run function roguecraft:speedrun/tell_time {type:"new_world",message:"roguecraft.speedrun.wildfire_message"}
execute unless data storage roguecraft:master {stronghold_spawned:1b} if data storage roguecraft:master {speedrun:{single_run_display:1b}} run function roguecraft:speedrun/tell_time {type:"single_run",message:"roguecraft.speedrun.wildfire_message"}
execute unless data storage roguecraft:master {stronghold_spawned:1b} as @a[gamemode=!spectator,tag=!hub,tag=!garden] if data storage roguecraft:master {speedrun:{single_run_display:1b}} run function roguecraft:speedrun/save_time {boss:"custos"}

execute unless data storage roguecraft:master {bosses_defeated:{custos:1b}} in roguecraft:infinite_garden run summon minecraft:marker 0 100 0 {Tags:["boss_defeated"]}
execute unless data storage roguecraft:master {bosses_defeated:{custos:1b}} run data modify storage roguecraft:master obelisk_queue append value "custos"
data modify storage roguecraft:master bosses_defeated.custos set value 1b

execute as @e[type=minecraft:marker,tag=wildfire,scores={boss_health=..0}] run function roguecraft:wildfire/death_final_2 with entity @s data 

tellraw @a[tag=!hub,tag=!garden,distance=32..] {"translate":"roguecraft.chat_messages.boss_defeated","color":"red","with":[{"translate":"roguecraft.title.wildfire.main"}]}

forceload remove ~ ~
data modify storage roguecraft:master stronghold_spawned set value 1b